Content
curl --request GET \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{id}/lifecycle/contents/{entryId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{id}/lifecycle/contents/{entryId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{id}/lifecycle/contents/{entryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{id}/lifecycle/contents/{entryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{id}/lifecycle/contents/{entryId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{id}/lifecycle/contents/{entryId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{id}/lifecycle/contents/{entryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"snapshot": {
"entry": {
"primaryReferenceItem": {
"id": "<string>",
"catalogFamilyId": "<string>",
"catalogFamilyVersion": 123,
"catalogAttributes": {
"manufacturerName": "<string>",
"family": {},
"item": {},
"familySource": {},
"itemSource": {},
"classification": {
"categoryId": "<string>",
"categoryLabel": "<string>",
"productTypeId": "<string>",
"productTypeLabel": "<string>"
}
}
},
"referenceItems": [
{
"kind": "catalog_item",
"catalogFamilyStatus": "draft",
"catalogItemId": "<string>",
"catalogFamilySourceId": "<string>",
"catalogFamilyId": "<string>",
"catalogFamilyName": "<string>",
"catalogAttributes": {
"manufacturerName": "<string>",
"family": {},
"item": {},
"familySource": {},
"itemSource": {},
"classification": {
"categoryId": "<string>",
"categoryLabel": "<string>",
"productTypeId": "<string>",
"productTypeLabel": "<string>"
}
},
"catalogFamilyVersion": 123,
"catalogItemVersion": 123,
"catalogItemSourceVersion": 123,
"id": "<string>",
"referenceCode": "<string>",
"name": "<string>",
"vendorName": "<string>",
"sourceLabel": "<string>",
"imageUrl": "<string>",
"available": true,
"status": "draft",
"position": 123,
"version": 123,
"dimensions": "<string>",
"finish": "<string>",
"quantity": "<string>",
"price": "<string>",
"writableValueFields": [
"finish"
],
"materialsCount": 123,
"partsCount": 123,
"componentsCount": 123,
"catalogFamilyDiscontinued": true
}
],
"notes": [
"<string>"
],
"values": {
"catalogFamily": {},
"catalogItem": {},
"projectItem": {},
"projectItemSlot": {}
},
"framework": {
"fields": [
{
"id": "<string>",
"slug": "<string>",
"label": "<string>",
"type": "text",
"destination": "projectItem",
"options": [
{}
],
"isCore": true,
"required": true,
"editable": true
}
],
"inheritedValues": {
"catalogFamily": {},
"catalogItem": {},
"projectItem": {},
"projectItemSlot": {}
}
},
"images": [
{
"id": "<string>",
"url": "<string>",
"altText": "<string>",
"isDefault": true,
"position": 123,
"version": 123
}
],
"id": "<string>",
"name": "<string>",
"productTypeId": "<string>",
"categoryId": "<string>",
"categoryLabel": "<string>",
"categoryPath": [
{
"id": "<string>",
"label": "<string>"
}
],
"productTypeLabel": "<string>",
"description": "<string>",
"areaReference": "<string>",
"parLevel": "<string>",
"applyParToPurchaseQuantity": true,
"quantity": "<string>",
"mandatoryItem": true,
"designReviewRequired": true,
"optionalManufacturers": [
{
"id": "<string>",
"name": "<string>",
"available": true
}
],
"mandatoryManufacturerId": "<string>",
"instructionsCount": 123,
"requirementsCount": 123,
"position": 123,
"referencesCount": 123,
"primaryReferenceItemId": "<string>",
"referenceCode": "<string>",
"referenceNumber": "<string>",
"imageUrl": "<string>",
"imagesCount": 123,
"validationIssueCount": 123,
"version": 123
},
"guidance": {
"revision": 123,
"classification": {
"categoryId": "<string>",
"productTypeId": "<string>"
},
"instructions": [
{
"groupId": "<string>",
"groupLineageId": "<string>",
"groupLabel": "<string>",
"items": [
{
"key": "<string>",
"id": "<string>",
"lineageId": "<string>",
"text": "<string>",
"assigneeRoleGroupIds": [
"warehouse"
],
"position": 123,
"origin": "entry",
"source": {
"kind": "catalog",
"id": "<string>",
"name": "<string>",
"version": 123,
"collectionId": "<string>",
"collectionVersion": 123
}
}
]
}
],
"requirements": [
{
"groupId": "<string>",
"groupLineageId": "<string>",
"groupLabel": "<string>",
"items": [
{
"id": "<string>",
"lineageId": "<string>",
"text": "<string>",
"assigneeRoleGroupIds": [
"warehouse"
],
"position": 123,
"origin": "category"
}
]
}
],
"linkedInstructions": [
{
"id": "<string>",
"text": "<string>",
"assigneeRoleGroupIds": [
"warehouse"
],
"key": "<string>",
"source": {
"kind": "catalog",
"id": "<string>",
"name": "<string>",
"version": 123,
"collectionId": "<string>",
"collectionVersion": 123
},
"disabled": true
}
]
},
"referenceComponents": [
{
"referenceItemId": "<string>",
"items": [
{
"id": "<string>",
"referenceItemId": "<string>",
"catalogItemId": "<string>",
"catalogItemType": {},
"kind": "material",
"catalogFamilySourceId": "<string>",
"name": "<string>",
"imageUrl": "<string>",
"referenceLabel": "<string>",
"manufacturerName": "<string>",
"sourceLabel": "<string>",
"quantity": "<string>",
"position": 123,
"version": 123
}
]
}
],
"referenceImages": [
{
"referenceItemId": "<string>",
"images": [
{
"id": "<string>",
"familyId": "<string>",
"url": "<string>",
"filename": "<string>",
"isPrimary": true,
"version": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"affectedParentFamilyIds": [
"<string>"
],
"affectedProjectIds": [
"<string>"
]
}
]
}
],
"attributeColumns": [
{
"isCore": true,
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"type": "text",
"logicType": "catalog_family",
"scopeType": "default",
"categoryIds": [
"<string>"
],
"options": [
{}
],
"description": "<string>",
"syncClass": "core",
"createdAt": "<string>",
"updatedAt": "<string>",
"categoryPositions": {}
}
]
},
"collectionVersion": 123
}Collection Item Lifecycle
Content
GET
/
v1
/
workspaces
/
{workspaceId}
/
collections
/
{id}
/
lifecycle
/
contents
/
{entryId}
Content
curl --request GET \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{id}/lifecycle/contents/{entryId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{id}/lifecycle/contents/{entryId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{id}/lifecycle/contents/{entryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{id}/lifecycle/contents/{entryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{id}/lifecycle/contents/{entryId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{id}/lifecycle/contents/{entryId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{id}/lifecycle/contents/{entryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"snapshot": {
"entry": {
"primaryReferenceItem": {
"id": "<string>",
"catalogFamilyId": "<string>",
"catalogFamilyVersion": 123,
"catalogAttributes": {
"manufacturerName": "<string>",
"family": {},
"item": {},
"familySource": {},
"itemSource": {},
"classification": {
"categoryId": "<string>",
"categoryLabel": "<string>",
"productTypeId": "<string>",
"productTypeLabel": "<string>"
}
}
},
"referenceItems": [
{
"kind": "catalog_item",
"catalogFamilyStatus": "draft",
"catalogItemId": "<string>",
"catalogFamilySourceId": "<string>",
"catalogFamilyId": "<string>",
"catalogFamilyName": "<string>",
"catalogAttributes": {
"manufacturerName": "<string>",
"family": {},
"item": {},
"familySource": {},
"itemSource": {},
"classification": {
"categoryId": "<string>",
"categoryLabel": "<string>",
"productTypeId": "<string>",
"productTypeLabel": "<string>"
}
},
"catalogFamilyVersion": 123,
"catalogItemVersion": 123,
"catalogItemSourceVersion": 123,
"id": "<string>",
"referenceCode": "<string>",
"name": "<string>",
"vendorName": "<string>",
"sourceLabel": "<string>",
"imageUrl": "<string>",
"available": true,
"status": "draft",
"position": 123,
"version": 123,
"dimensions": "<string>",
"finish": "<string>",
"quantity": "<string>",
"price": "<string>",
"writableValueFields": [
"finish"
],
"materialsCount": 123,
"partsCount": 123,
"componentsCount": 123,
"catalogFamilyDiscontinued": true
}
],
"notes": [
"<string>"
],
"values": {
"catalogFamily": {},
"catalogItem": {},
"projectItem": {},
"projectItemSlot": {}
},
"framework": {
"fields": [
{
"id": "<string>",
"slug": "<string>",
"label": "<string>",
"type": "text",
"destination": "projectItem",
"options": [
{}
],
"isCore": true,
"required": true,
"editable": true
}
],
"inheritedValues": {
"catalogFamily": {},
"catalogItem": {},
"projectItem": {},
"projectItemSlot": {}
}
},
"images": [
{
"id": "<string>",
"url": "<string>",
"altText": "<string>",
"isDefault": true,
"position": 123,
"version": 123
}
],
"id": "<string>",
"name": "<string>",
"productTypeId": "<string>",
"categoryId": "<string>",
"categoryLabel": "<string>",
"categoryPath": [
{
"id": "<string>",
"label": "<string>"
}
],
"productTypeLabel": "<string>",
"description": "<string>",
"areaReference": "<string>",
"parLevel": "<string>",
"applyParToPurchaseQuantity": true,
"quantity": "<string>",
"mandatoryItem": true,
"designReviewRequired": true,
"optionalManufacturers": [
{
"id": "<string>",
"name": "<string>",
"available": true
}
],
"mandatoryManufacturerId": "<string>",
"instructionsCount": 123,
"requirementsCount": 123,
"position": 123,
"referencesCount": 123,
"primaryReferenceItemId": "<string>",
"referenceCode": "<string>",
"referenceNumber": "<string>",
"imageUrl": "<string>",
"imagesCount": 123,
"validationIssueCount": 123,
"version": 123
},
"guidance": {
"revision": 123,
"classification": {
"categoryId": "<string>",
"productTypeId": "<string>"
},
"instructions": [
{
"groupId": "<string>",
"groupLineageId": "<string>",
"groupLabel": "<string>",
"items": [
{
"key": "<string>",
"id": "<string>",
"lineageId": "<string>",
"text": "<string>",
"assigneeRoleGroupIds": [
"warehouse"
],
"position": 123,
"origin": "entry",
"source": {
"kind": "catalog",
"id": "<string>",
"name": "<string>",
"version": 123,
"collectionId": "<string>",
"collectionVersion": 123
}
}
]
}
],
"requirements": [
{
"groupId": "<string>",
"groupLineageId": "<string>",
"groupLabel": "<string>",
"items": [
{
"id": "<string>",
"lineageId": "<string>",
"text": "<string>",
"assigneeRoleGroupIds": [
"warehouse"
],
"position": 123,
"origin": "category"
}
]
}
],
"linkedInstructions": [
{
"id": "<string>",
"text": "<string>",
"assigneeRoleGroupIds": [
"warehouse"
],
"key": "<string>",
"source": {
"kind": "catalog",
"id": "<string>",
"name": "<string>",
"version": 123,
"collectionId": "<string>",
"collectionVersion": 123
},
"disabled": true
}
]
},
"referenceComponents": [
{
"referenceItemId": "<string>",
"items": [
{
"id": "<string>",
"referenceItemId": "<string>",
"catalogItemId": "<string>",
"catalogItemType": {},
"kind": "material",
"catalogFamilySourceId": "<string>",
"name": "<string>",
"imageUrl": "<string>",
"referenceLabel": "<string>",
"manufacturerName": "<string>",
"sourceLabel": "<string>",
"quantity": "<string>",
"position": 123,
"version": 123
}
]
}
],
"referenceImages": [
{
"referenceItemId": "<string>",
"images": [
{
"id": "<string>",
"familyId": "<string>",
"url": "<string>",
"filename": "<string>",
"isPrimary": true,
"version": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"affectedParentFamilyIds": [
"<string>"
],
"affectedProjectIds": [
"<string>"
]
}
]
}
],
"attributeColumns": [
{
"isCore": true,
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"type": "text",
"logicType": "catalog_family",
"scopeType": "default",
"categoryIds": [
"<string>"
],
"options": [
{}
],
"description": "<string>",
"syncClass": "core",
"createdAt": "<string>",
"updatedAt": "<string>",
"categoryPositions": {}
}
]
},
"collectionVersion": 123
}Authorizations
⌘I